

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>Python Module Index &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
 


</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>Python Module Index</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            

   <h1>Python Module Index</h1>

   <div class="modindex-jumpbox">
   <a href="#cap-p"><strong>p</strong></a>
   </div>

   <table class="indextable modindextable">
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-p"><td></td><td>
       <strong>p</strong></td><td></td></tr>
     <tr>
       <td><img src="_static/minus.png" class="toggler"
              id="toggle-1" style="display: none" alt="-" /></td>
       <td>
       <a href="api/posydon.html#module-posydon"><code class="xref">posydon</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.active_learning.html#module-posydon.active_learning"><code class="xref">posydon.active_learning</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.active_learning.psy_cris.html#module-posydon.active_learning.psy_cris"><code class="xref">posydon.active_learning.psy_cris</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.active_learning.psy_cris.classify.html#module-posydon.active_learning.psy_cris.classify"><code class="xref">posydon.active_learning.psy_cris.classify</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.active_learning.psy_cris.data.html#module-posydon.active_learning.psy_cris.data"><code class="xref">posydon.active_learning.psy_cris.data</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.active_learning.psy_cris.regress.html#module-posydon.active_learning.psy_cris.regress"><code class="xref">posydon.active_learning.psy_cris.regress</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.active_learning.psy_cris.sample.html#module-posydon.active_learning.psy_cris.sample"><code class="xref">posydon.active_learning.psy_cris.sample</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.active_learning.psy_cris.synthetic_data.html#module-posydon.active_learning.psy_cris.synthetic_data"><code class="xref">posydon.active_learning.psy_cris.synthetic_data</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.active_learning.psy_cris.synthetic_data.synth_data_2D.html#module-posydon.active_learning.psy_cris.synthetic_data.synth_data_2D"><code class="xref">posydon.active_learning.psy_cris.synthetic_data.synth_data_2D</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.html#module-posydon.active_learning.psy_cris.synthetic_data.synth_data_3D"><code class="xref">posydon.active_learning.psy_cris.synthetic_data.synth_data_3D</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.active_learning.psy_cris.utils.html#module-posydon.active_learning.psy_cris.utils"><code class="xref">posydon.active_learning.psy_cris.utils</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.binary_evol.binarystar.html#module-posydon.binary_evol.binarystar"><code class="xref">posydon.binary_evol.binarystar</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.binary_evol.simulationproperties.html#module-posydon.binary_evol.simulationproperties"><code class="xref">posydon.binary_evol.simulationproperties</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.binary_evol.singlestar.html#module-posydon.binary_evol.singlestar"><code class="xref">posydon.binary_evol.singlestar</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.grids.html#module-posydon.grids"><code class="xref">posydon.grids</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.grids.downsampling.html#module-posydon.grids.downsampling"><code class="xref">posydon.grids.downsampling</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.grids.downsampling_report.html#module-posydon.grids.downsampling_report"><code class="xref">posydon.grids.downsampling_report</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.grids.io.html#module-posydon.grids.io"><code class="xref">posydon.grids.io</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.grids.psygrid.html#module-posydon.grids.psygrid"><code class="xref">posydon.grids.psygrid</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.grids.scrubbing.html#module-posydon.grids.scrubbing"><code class="xref">posydon.grids.scrubbing</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.grids.termination_flags.html#module-posydon.grids.termination_flags"><code class="xref">posydon.grids.termination_flags</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.interpolation.html#module-posydon.interpolation"><code class="xref">posydon.interpolation</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.interpolation.data_scaling.html#module-posydon.interpolation.data_scaling"><code class="xref">posydon.interpolation.data_scaling</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.interpolation.eep.html#module-posydon.interpolation.eep"><code class="xref">posydon.interpolation.eep</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.interpolation.interpolation.html#module-posydon.interpolation.interpolation"><code class="xref">posydon.interpolation.interpolation</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.utils.html#module-posydon.utils"><code class="xref">posydon.utils</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.utils.common_functions.html#module-posydon.utils.common_functions"><code class="xref">posydon.utils.common_functions</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.utils.configfile.html#module-posydon.utils.configfile"><code class="xref">posydon.utils.configfile</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.utils.constants.html#module-posydon.utils.constants"><code class="xref">posydon.utils.constants</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.utils.gridutils.html#module-posydon.utils.gridutils"><code class="xref">posydon.utils.gridutils</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.visualization.html#module-posydon.visualization"><code class="xref">posydon.visualization</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.visualization.combine_TF.html#module-posydon.visualization.combine_TF"><code class="xref">posydon.visualization.combine_TF</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.visualization.evolution_plot.html#module-posydon.visualization.evolution_plot"><code class="xref">posydon.visualization.evolution_plot</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.visualization.plot1D.html#module-posydon.visualization.plot1D"><code class="xref">posydon.visualization.plot1D</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.visualization.plot2D.html#module-posydon.visualization.plot2D"><code class="xref">posydon.visualization.plot2D</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.visualization.plot_defaults.html#module-posydon.visualization.plot_defaults"><code class="xref">posydon.visualization.plot_defaults</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.visualization.VH_diagram.html#module-posydon.visualization.VH_diagram"><code class="xref">posydon.visualization.VH_diagram</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.visualization.VH_diagram.GraphVisualizer.html#module-posydon.visualization.VH_diagram.GraphVisualizer"><code class="xref">posydon.visualization.VH_diagram.GraphVisualizer</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.visualization.VH_diagram.MainWindow.html#module-posydon.visualization.VH_diagram.MainWindow"><code class="xref">posydon.visualization.VH_diagram.MainWindow</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.visualization.VH_diagram.MathTextLabel.html#module-posydon.visualization.VH_diagram.MathTextLabel"><code class="xref">posydon.visualization.VH_diagram.MathTextLabel</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.visualization.VH_diagram.OptionsWindow.html#module-posydon.visualization.VH_diagram.OptionsWindow"><code class="xref">posydon.visualization.VH_diagram.OptionsWindow</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.visualization.VH_diagram.PresenterMode.html#module-posydon.visualization.VH_diagram.PresenterMode"><code class="xref">posydon.visualization.VH_diagram.PresenterMode</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.visualization.VH_diagram.SimulationModel.html#module-posydon.visualization.VH_diagram.SimulationModel"><code class="xref">posydon.visualization.VH_diagram.SimulationModel</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="api/posydon.visualization.xrbplot.html#module-posydon.visualization.xrbplot"><code class="xref">posydon.visualization.xrbplot</code></a></td><td>
       <em></em></td></tr>
   </table>


           </div>
           
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>